.aegov-header {
    position: relative;
    font-size: var(--aegov-font-size);
    padding-top: 0.5em;
    margin-bottom: 2em;
}

.aegov-header:before {
    content: '';
    position: absolute;
    top: 0;
    height: .5em;
    width: 100%;
    background-image: linear-gradient(to bottom, var(--tw-gradient-stops));
    --tw-gradient-from: #CBA344 var(--tw-gradient-from-position);
    --tw-gradient-to: rgb(203 163 68 / 0) var(--tw-gradient-to-position);
    --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
    --tw-gradient-to: #92722A var(--tw-gradient-to-position)
}

.header-navs {
    background-color: rgb(247 247 247)
}

.header-nav-text {
  font-size: 1em;
  line-height:1.5;
}

.header-navs-right button, .header-navs-right a , .aegov-header .menu-toggle-btn {
    height: 4em;
    color: var(--clr-primary-600);
    text-transform:capitalize;
    font-size: 1em;
    background-color: transparent;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-inline: 0.75em;
}

.header-navs .navbar-nav>li {
    height: 4em;
    display: flex;
    align-items: center;
}

.nav-menu-close {
    display:none;
}

.main-navigation .nav-menu>.menu-item {
    display: inline-flex;
    align-items: center;
}

.main-navigation .nav-menu>.menu-item>a {
    height: 4em;
    display: inline-flex;
    gap: 0.5em;
    align-items: center;
    border-radius: 0;
    border-width: 0;
    border-block-width: 0.188em;
    border-style: solid;
    border-color: transparent;
    font-weight: 700;
    color: rgb(35 37 40);
    transition: .2s
}

.main-navigation .nav-menu>.menu-item>a:hover {
    color: var(--clr-primary-600) !important;
    border-color: var(--clr-primary-600) !important;
    border-top-color: transparent !important;
}

.main-navigation .nav-menu {
    list-style: none;
    margin: 0;
    padding: 0;
}

.header-navbar .dropdown-menu {
    border: 1px solid rgb(225 227 229);
    border-radius: 0.5em;
    padding-block: 1.25em;
}

.header-navbar .dropdown-menu li:not(.sub-menu) a {
    padding: 0.5em 1em;
}

.header-navbar .dropdown-menu li > a {
    color: var(--clr-black-900);
}

.header-navbar .dropdown-menu li > a:hover {
    color: var(--clr-primary-600);
    text-decoration: underline;
    background-color: transparent !important;
}

.header-navbar .open>.dropdown-menu:has(.sub-menu) {
    display: flex;
    gap: 1em;
}

.header-navbar .dropdown-menu .sub-menu {
    padding: 0 0.75em;
}

.header-navbar .dropdown-menu .sub-menu h2 {
    color: var(--clr-primary-600);
    font-size: 1.125em;
    margin-top: 0;
    margin-bottom: 0.25em;
    padding-inline: 0.5em;
}

.header-navbar .dropdown-menu .sub-menu ul {
    list-style: none;
    padding: 0;
}

.header-navbar .dropdown-menu .sub-menu ul * {
    min-width: 24ch;
}

.main-navigation .bottom-nav-menu {
    width: 100%;
    background-color: #000;
    box-shadow: 0 0 0 100vmax #000;
    clip-path: inset(0 -100vmax);
}

.main-navigation .bottom-nav-menu a {
    display: flex;
    align-items: center;
    gap: 1em;
    color: #ffffff;
    text-decoration: none;
    padding: 0.5em 0.75em;
}

.main-navigation .menu-item a {
    text-decoration-line: none
}

.main-navigation .menu-item.active-page>a {
    border-color: var(--clr-primary-900);
    color: var(--clr-primary-900)
}

.main-navigation .menu-item.menu-item-has-children>a {
    display: inline-flex;
    align-items: center;
    gap: .5em;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-duration: .15s
}

.main-navigation .menu-item.menu-item-has-children .submenu-btn {
    position: relative;
    display: inline-block
}

.main-navigation .menu-item.menu-item-has-children .submenu-btn:focus {
    outline: 2px solid transparent;
    outline-offset: 2px;
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
    --tw-ring-opacity: 1;
    --tw-ring-color: rgb(248 192 39 / var(--tw-ring-opacity, 1));
    --tw-ring-offset-width: 0px
}

.main-navigation .menu-item.menu-item-has-children .submenu-btn.active-ic-btn {
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
    --tw-ring-opacity: 1;
    --tw-ring-color: rgb(248 192 39 / var(--tw-ring-opacity, 1))
}

.main-navigation .menu-item.menu-item-has-children .submenu-btn.inactive-ic-btn {
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color) !important;
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(0px + var(--tw-ring-offset-width)) var(--tw-ring-color) !important;
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000) !important
}

.main-navigation .menu-item.menu-item-has-children .submenu-btn svg,
.main-navigation .menu-item.menu-item-has-children .submenu-btn img {
    margin-left: auto;
    margin-right: auto
}

[dir=rtl] .aegov-header .main-navigation .nav-menu>.menu-item>a {
    font-weight: 500
}

[dir=rtl] .aegov-header .main-navigation .nav-menu>.menu-item.menu-item-has-children>a {
    gap: .25em
}

[dir=rtl] .aegov-header .main-navigation .nav-menu>.menu-item:first-child>a>span {
    display: none
}

@media (max-width: 1280px) {
    .menu-toggle-btn {
        display: flex !important;
    }

    .aegov-header .header-navbar .main-navigation .nav-menu {
        width: 25em;
        height: 100dvh;
        position: fixed;
        top: 0;
        inset-inline-start: -100%;
        flex-direction: column;
        background: #ffffff;
        padding: 1em;
        z-index: 1050;
        transition: 0.5s;
    }

    .nav-menu-close{
        display:block;
        position:absolute;
       inset-inline-end:0;
       top:0;
    }

    .aegov-header .header-navbar .main-navigation .nav-menu.expanded {
        inset-inline-start: 0;
    }

    .aegov-header .header-navbar .main-navigation:has(.nav-menu.expanded):before {
        content: "";
        width: 100vw;
        height: 100vh;
        background-color: #000;
        opacity: 0.5;
        position: fixed;
        left: 0;
        top: 0;
        z-index: 1025;
    }

    .aegov-header .main-navigation  .menu-item, .aegov-header .main-navigation .menu-item a {
        width: 100%;
    }
}

@media (min-width: 1024px) {
    p.main-navigation .nav-menu>.menu-item>a {
        margin-bottom: 1.75em
    }

    .main-navigation .nav-menu>.menu-item>a {
        padding-inline: .5em;
        line-height: 1.25em
    }

    .main-navigation .menu-item.menu-item-has-children>a {
        padding-inline-end: 1.5em
    }

    .main-navigation .menu-item.menu-item-has-children .submenu-btn {
        margin-inline-start: -1.25em;
        height: 3.5em;
        width: 1em
    }

    .main-navigation .menu-item.menu-item-has-children .submenu-btn svg,
    .main-navigation .menu-item.menu-item-has-children .submenu-btn img {
        height: .75em;
        width: .75em
    }

    p[dir=rtl] .aegov-header .main-navigation .nav-menu>.menu-item>a {
        margin-bottom: 1.5em
    }

    [dir=rtl] .aegov-header .main-navigation .nav-menu>.menu-item>a {
        line-height: 1em;
        font-weight: 700
    }

    [dir=rtl] .aegov-header .main-navigation .nav-menu>.menu-item.menu-item-has-children>a {
        gap: .5em
    }
}

@media (min-width: 1280px) {
    .menu-toggle-btn {
        display: none !important;
    }

    .main-navigation .nav-menu>.menu-item>a {
        padding-inline: .75em;
        line-height: 1.5em
    }

    .main-navigation .menu-item.menu-item-has-children>a {
        padding-inline-end: 2em
    }

    .main-navigation .menu-item.menu-item-has-children .submenu-btn {
        margin-inline-start: -2em;
        height: 4em;
        width: 1.5em
    }

    p[dir=rtl] .aegov-header .main-navigation .nav-menu>.menu-item>a {
        margin-bottom: 1.75em
    }
}

@media (min-width: 1536px) {
    .main-navigation .menu-item.menu-item-has-children>a {
        padding-inline-end: 2.25em
    }
}

/*Omar: should be removed after ica.css styles are fixed since they change the color to white */
.header-navs .navbar-nav>li>.dropdown-menu a {
    color: #333 !important;
}